ķ
PCPS(V7.80)                                                        PCPS(V7.80)
Ľ

NAME
        MSDOS/OS/2: PCPS.EXE   
        MSDOS     : PCPSD.EXE    convert text to postscript
        UNIX      : pcps       


SYNOPSIS
        PCPS [-arg1 -arg2 -arg3 ... -argn] [filename(s)]

DESCRIPTION
        PCPS reads in text files (now including support of the full IBM/PC
        character set), converts them to POSTSCRIPT and outputs them to a
        POSTSCRIPT printer, a file or stdout.  If no input files are
        specified, PCPS will take its input from stdin.  Many attributes
        such as fonts, headings, orientation, various formatting options
        etc. may be specified.

        Ŀ
           NOTE FOR     PCPS defaults to using European A4 paper size, so
        NORTH AMERICAN  you must specify "-slt" if you are using US letter
             USERS      paper (8.5" x 11")
        

        The various arguments are detailed below.  Any field enclosed in <>
        is mandatory for that argument but those enclosed in [] are
        optional:

        -help or (no arguments AND no stdin pipe)
                This will give you a multiple page help screen.

        -l      List available font codes.  ALL other arguments are ignored
                when -l is used.

        -#[n]   Print line numbers.  The default is for the line numbers to
                be shown with 4 digits but should an optional number also
                be specified, the line numbers will start with "n" digits
                where "n" can be a maximum of 6.  The number of digits is
                automatically increased should the line numbers exceed the
                number able to be specified by the current number of
                digits.

                EXAMPLE: -#     print line numbers and start with 4 digits.
                         -#3    print line numbers and start with 3 digits.

*       -#-     Do NOT print line numbers.

        -2[r]   Print in 2 columns.  This can allow two normal pages to fit
                on one.

                NOTE: This argument no longer affects the orientation of
                the paper, thus allowing 2 column in portrait mode as well
                as landscape.  The optional "r" specifies the orientation
                to be landscape and is identical to specifying "-2 -r".

*       -2-     Print in a single column.

        -a<o|e> Print alternate pages where o = ODD and e = even.  This is
                useful when double sided printing is required.  For further
                double sided support, see "-z" below.

                EXAMPLE: -ao    print only odd pages.

*       -a-     Turn OFF alternate page printing - print both odd and even.

        -b      Disable banner printing.

*       -b-     Enable banner printing.

        -c      Truncate (Cut) lines longer than the maximum number of
                characters allowed in the current mode.

*       -c-     Disable truncation of lines - wrap them instead.

*       -d1     Date format 1 for the banner - yyyy/mm/dd

        -d2     Date format 2 for the banner - mm/dd/yy (U.S.)

        -d3     Date format 3 for the banner - dd/mm/yy (Australia & Europe)

        -db     Debug - download the extended postscript error handler to
                the printer before the print job.  This error handler causes
                the printer to output any errors on paper as well as back
                along its comms line.

                Use this option carefully as, on many printers, this causes
                a permanent change to its error handling routine.

                This option should only be used as a last resort if, for
                any reason, your printer refuses to print the output from
                PCPS and you are unable to monitor your printers errors;
                E.g. Most spoolers have a log file and any errors output by
                the printer are normally placed into this file, but access
                to this file may be impractical.

*       -db-    Disable debug mode.

        -df<s|o|p>
                Default action to take when a file already in postscript
                format is encountered, where s = Skip file altogether, o =
                Output file as it is and p = process the postscript into
                postscript.

*       -df-    Reset default action - if a file is encountered that is
                already in postscript format, the user will be prompted for
                the action to take.

        -di     Attempt to identify the originator of the print job by
                printing the User ID and Host name in small print in the
                bottom corner of each page.

                On DOS or OS/2 systems, this may not work as each different
                LAN environment has as different standard of storing such
                information, but PCPS looks for some key environment
                variable combinations such as:

                USER & HOSTNAME                 (typical of OS/2 TCP/IP)
                USERNAME & USERDOMAIN           (typical of Windows/NT)
                USERID & NFSPATH/NFSDRIVE       (PCNFS).

                Under Unix, the LOGNAME variable is used, and `hostname` is
                executed.

*       -di-    Disable user identification.

        -dl     Delete the input file(s) after successful processing.
                **************** USE WITH CAUTION *******************
                PCPS will consider the file processed successfully if it
                receives no errors during the processing and will delete
                the input file.  Be aware that print jobs can sometimes get
                lost, especially on networks.

*       -dl-    Do NOT delete the input file.

        -dp     Enable DUPLEX mode printing for those printers that support
                it.

*       -dp-    Non-DUPLEX mode - printing will be single sided if the
                printer defaults to this.

        -dr     Enable draft print mode where the word "DRAFT" is printed
                in light grey on the background of each page behind the
                text.  This is functionally equivalent to the argument
                "-kDRAFT".

*       -dr-    Disable all background printing including any text
                specified with the "-k" argument.

        -dt     Add timing code to the postscript to cause the printer to
                dump timing information back out its comms line so that it
                may be captured (to a log file for instance).  This
                information can be useful when analysing printer performance.

*       -dt-    Disable postscript timing code.

        -e<l|r|t|b><n>
                Set the specified margin (Edge) to be "n" points (1/72
                inch) where l = Left, r = Right, t = Top and b = Bottom.

                EXAMPLE: -el72  set the left margin to 1 inch.

                The default margins are as follows:

                ͻ
                           Left      Right     Top       Bottom    
                ͹
                Portrait   36p(.50") 22p(.31") 36p(.50") 36p(.50") 
                Landscape  22p(.31") 22p(.31") 36p(.50") 22p(.31") 
                ͼ

*       -e-     Set the margins back to their defaults.

        -f<[font code][size]>
                This argument is used to set the font type and/or the font
                size.  The "font code" is the abbreviated code for the font
                which is listed by the "-l" option.  The size is in points
                and may have a decimal point with one only decimal number.
                See SUPPORTED FONTS.

                EXAMPLE: -fc12  set font to Courier at size 12 point.
                         -fc7.5 set font to Courier at size 7.5 point.

*       -f-     Set the font and size to the default IBMPCFont at 10 point.

        -g or -gonewordcomment or "-gmultiple word comment"
                Print a gaudy banner at the top of the page containing the
                files last modification date, the current page number, the
                file name and an optional comment.  Please note that the
                -g and the comment must be enclosed in quotes if there is
                more than one word in the comment.  This argument over-
                -rides any previous -b argument.

                EXAMPLE: -g             print a gaudy banner at the top of
                                        each page.
                         "-gMy file"    print the gaudy banner but add a
                                        comment inside the banner.

*       -g-     Disable the gaudy banner.

        -h<x>[,n,y]
                Specify the paper tray (Hopper) to start with where "x" may
                be a number between 0 and 2, or one of the codes below.
                This may be followed by an optional number which specifies
                the number of pages "n" to print from this tray before
                switching to the tray "y".  If both "x" and "y" are
                specified, they must both be numbers or both be codes - you
                cannot mix codes and numbers.

                VALID CODES:  a4 = A4 paper tray
                              lt = US letter paper tray
                              ex = Executive paper tray
                              lg = Legal paper tray
                              mo = Monarch envelope tray
                              co = COM10 envelope tray
                              d1 = D1 envelope tray

                VALID NUMBERS: 0 = Top tray on most printers
                               1 = Middle tray on 3 tray or bottom on 2 tray
                               2 = Bottom on most 3 tray printers

                EXAMPLE: -h0,1,2 print the first page from tray 0 (the top
                                 tray), then switch to tray 2 (the bottom
                                 tray on a printer with 3 trays).

*       -h-     Do NOT specify any trays - use the printers default.

        -i[f|o] Inverse page order (ie. Output the last page first).

                "-i" uses the default mode and is the fastest.  The pages
                will be sorted in memory if there is sufficient memory
                to do so.  If there is insufficient memory then the "-if"
                mode is automatically selected.

                "-if" is the default temporary file method and is the new
                "fast" mode which, although slower than memory sorting, is
                far more efficient than the old temporary file sorting
                method, especially with large files.

                "-io" may be specified if either of the above arguments are
                giving you trouble - this mode requires no additional
                memory but is verrrrrry slooooooow.

*       -i-     Normal page order.

        -k<text>
                Print "text" (K)omment in grey on the background of each
                page where "text" may be up to 40 characters.  If the text
                contains any white space, it must be enclosed in quotes.

*       -k-     Disable background printing including any previously
                specified "-dr" argument.

        -m      Enable manual paper feed - useful if you wish to use
                different paper than that loaded into the paper tray(s).

        -m1     Enable manual paper feed on the first page printed only -
                useful if the first page needs to be printed on letter head
                and you are not fortunate enough to have two paper trays.

*       -m-     Disable all manual paper feeding.

        -mm     Enable man page printing mode where a backspace physically
                executes a backspace rather than printing a white dot.
                This mode automatically selects the Courier (which is
                non-proportional) in man mode and over-rides any previously
                specified font.  Any subsequent attempt to change the font
                to anything other than Courier will result in an error.

*       -mm-    Disable man page printing mode.

        -n<n>   Set lines per page to "n" lines.

                EXAMPLE: -n66   set the pages to 66 lines.

        -n-     Set lines per page to the default which is to print
                whatever will fit on the page or until Form Feed characters
                are encountered.

        -o<path>
                Output postscript to <path> instead of the default LPT2
                where <path> may be a filename (Eg. c:\doc\example.ps) or
                the name of another device (Eg. LPT1 or COM1).

                EXAMPLE: -oC:\TEMP\EXAMPLE.PS   output the POSTSCRIPT to
                                                the specified file.

                ĴPLEASE NOTEĿ
                If PCPS detects that its output is being piped to another  
                program it will automatically send the postscript to stdout
                and totally ignore any output file specified with this     
                argument.  In this mode, PCPS sends the screen information 
                to stderr.  This feature maybe over-ridden with -o-        
                

*       -o-     Use the default output file ie. for DOS and OS/2 it is
                LPT2 and is piped to lpr for Unix.

                ĴPLEASE NOTEĿ
                This argument over-rides the autosensing of piped output   
                and may be followed by a -o<file> or -P<printer> argument  
                to force the output to a particular destination            
                

        -p<file path>
                Get printer preparation data from the file specified by
                <file path>.  The contents of this file are sent to the
                printer prior to any other output from PCPS. See SUPPORT
                FILES.

                EXAMPLE: -pC:\PRINT.PRP  Use the file PRINT.PRP under the
                                         directory C:\

                NOTE:  As a default, PCPS will look for printer preparation
                       data from the file PCPS.PPF as specified in SUPPORT
                       FILES.

        -p-     Do not use any printer preparation file.

**      -P<printer name>
                Specify a printer name other than the default for output.
                The defaults are, for non SYSV: "postscript", for SYSV:
                "lp".

**      -P-     Set printer name back to the default.

        -q      Quiet mode - no fancy information is displayed.  For each
                file processed, only the number of pages printed is
                displayed.

        -qt     Quiet Total mode - no screen output at all.

*       -q-     Noisy :-) mode with lots of information displayed.  This
                argument will cancel both -q and -qt.

        -r      Rotate the print 90 degrees to Landscape orientation.

*       -r-     Use portrait orientation.

        -s<xx>  Use paper size "xx" which can be any of the following
                codes.

                VALID CODES:  a4 = A4 paper size
                              lt = US letter paper size
                              ex = Executive paper size
                              lg = Legal paper size
                              mo = Monarch envelope size
                              co = COM10 envelope size
                              d1 = D1 envelope size

                EXAMPLE: -slt    set the paper size to US letter (11" x 8.5")

*       -s-     Use default paper size (A4).

*       -t[n]   Expand tab characters to spaces.  If "n" is specified, tabs
                will be expanded to "n" spaces, otherwise they will be
                expanded to 8 spaces.

                EXAMPLE: -t   expand all tab characters to 8 spaces (default).
                         -t4  expand all tab characters to 4 spaces.

        -t-     Do NOT expand tab characters; pass them through untouched.

        -u[n]   Unlimited line length (well almost...65535 chars).  If "n"
                is specified, set line length to "n" characters.  Normally
                PCPS calculates the maximum line length using the font size
                and the available printing area but this calculation is
                made assuming the non-proportional default IBMPCFont font and
                is not necessarily accurate for other fonts other than
                Courier.  This argument allows the user to over-ride the
                calculated maximum.

                EXAMPLE: -u     set maximum char per line to 65,535
                         -u60   set maximum char per line to 60

*       -u-     Use the default calculated maximum line length.

        -v<n[-|,|$>
                Specify page ranges to print where a range may be a single
                page (n), a range of pages (n1-n2) or from a page to the
                end of the document (n-$).  Each separate range
                specification should be separated by a comma.

                EXAMPLE: -v1-12,35,50-$ print pages 1 through 12, 35 and 50
                                        through to the end of the document.

*       -v-     Print all pages.

        -x      The first and last characters output by PCPS will be ^D
                (0x04) characters.  This is required by some printers to
                signify end of job.

*       -x-     Do not output ^D (0x04) characters.

        -y<n>   Set the line feed spacing to n% of the font size.  The
                default is 105%.

*       -y-     Set line feed spacing back to the default 105%.

        -z<o|e> Enable margin swapping for double sided printing on (O)dd
                or (E)ven pages.

                In Portrait mode the Left and Right margins will be swapped
                on the specified pages as well as the Page-number and File-
                -time boxes in the Gaudy header if gaudy mode is enabled.

                In Landscape mode the Top and Bottom margins are swapped on
                the specified pages.  No change is performed on the Gaudy
                banner.

*       -z-     Disable margin swapping.


      * All arguments preceded by * reflect the default conditions for PCPS.

     ** Arguments only apply to the UNIX version of PCPS.

        Normal DOS style wildcards (* and ?) are allowed when specifying
        the input files under DOS and OS/2.

        Under UNIX, wildcard expansion is done by the shell you are
        utilising at that time.

ENVIRONMENT
        PCPSCFG
                Points to a directory containing a PCPS configuration file
                (See SUPPORT FILES).

        PCPSPPF
                Points to a directory containing a PCPS printer prep file
                (See SUPPORT FILES).


SUPPORT FILES
        PCPS can have three support files:  pcps.adm, pcps.cfg and pcps.ppf

        pcps.adm
                This is the Administrator config file which must exist in
                the same directory as PCPS, and will be processed before
                any other support file or the command line.  This file can
                contain arguments just the same as command line arguments,
                and is therefore useful for System Adminstrators to specify
                local system defaults in a network environment.

        The other two files are more intended for the users and are
        described below:

        pcps.cfg
                This file can contain arguments in the same way that the
                command line can have arguments.  The arguments may be
                spread over several lines and will be processed
                sequentially.

                PCPS processes arguments from this file first, should it
                exist, and then from the command line, so the command line
                arguments may over-ride the arguments in this file or even
                negate them.

        pcps.ppf
                Some POSTSCRIPT printers require some setup or preparation
                information sent to them before the output of PCPS.  This
                support file is provided for such purposes.

                Any characters contained in this file will sent to the
                output file before any POSTSCRIPT output from PCPS.

        The Printer Preparation file (PPF) may be explicitly specified by
        the -p argument or explicitly disabled by -p- but if not, the method
        for locating both files is identical:

        For each file, if the related environment variable is set (See
        ENVIRONMENT), the file is sought from the directory specified by
        the variable.  If the variable is not set or the file is not found
        in this directory, the file is sought in the current directory and
        if that fails, it is sought in the directory that PCPS originated
        from.

SCREEN SUPPORT
        PCPS can support differing numbers of lines per screen and provides
        a "more" feature when listing font codes or showing usage.  At the
        [more] prompt you may view the next screen by pressing any key
        other than the "q" key which will quit the output.

SUPPORTED FONTS
        PCPS currently supports the default fonts built into an Apple
        Laserwriter and assumes that the target printer will "know" these
        fonts.  PCPS additionally supports its own font named IBMPCFont.
        Listed below are the fonts and the code for each that may be used
        with the -f argument:

               ͻ
               FontCode  Font                           
               ͹
               AGB       AvantGarde-Book                
               AGBO      AvantGarde-BookOblique         
               AGD       AvanteGarde-Demi               
               AGDO      AvantGarde-DemiOblique         
               BD        Bookman-Demi                   
               BDI       Bookman-DemiItalic             
               BL        Bookman-Light                  
               BLI       Bookman-LightItalic            
               C         Courier                        
               CB        Courier-Bold                   
               CBO       Courier-BoldOblique            
               CO        Courier-Oblique                
               H         Helvetica                      
               HB        Helvetica-Bold                 
               HBO       Helvetica-BoldOblique          
               HN        Helvetica-Narrow               
               HNB       Helvetica-Narrow-Bold          
               HNBO      Helvetica-Narrow-BoldOblique   
               HNO       Helvetica-Narrow-Oblique       
               HO        Helvetica-Oblique              
               IBM       IBMPCFont (default)
               NCSB      NewCenturySchlbk-Bold          
               NCSBI     NewCenturySchlbk-BoldItalic    
               NCSI      NewCenturySchlbk-Italic        
               NCSR      NewCenturySchlbk-Roman         
               PB        Palatino-Bold                  
               PBI       Palatino-BoldItalic            
               PI        Palatino-Italic                
               PR        Palatino-Roman                 
               S         Symbol                         
               TB        Times-Bold                     
               TBI       Times-BoldItalic               
               TI        Times-Italic                   
               TR        Times-Roman                    
               ZCMI      ZapfChancery-MediumItalic      
               ZD        ZapfDingbats                   
               ͼ

        PCPS now supports most European characters in all text fonts and
        the full IBM/PC character set with its own default font IBMPCFont.

INPUT FILES
        If the input file is found to be already in postscript format, PCPS
        will prompt the user for one of three possible actions:

                1. [S]kip the file      - Self explanatory.
                2. [O]utput unchanged   - Send the file to the output as it
                                          is.
                3. [P]rocess it         - Process the file as text resulting
                                          in a printout of the postscript.

REQUIREMENTS
        DOS ONLY VERSION
                MS/PC DOS V2.1 is the minimum required version, though for
                full compatibility, DOS3.0 or greater is recommended.

        FAMILY MODE VERSION
                For running under DOS, the above requirements are true.
                For running under OS/2 the user should require OS2 1.0 or
                higher though currently PCPS has only been confirmed
                running under OS/2 1.3.1, 2.0 and 2.1.  The author would
                appreciate confirmation that it runs under any other
                version.

        UNIX VERSIONS
                PCPS is available for several flavours of unix boxes - see
                the file "unix" for further information.


DIAGNOSTICS
        These should be fairly self-explanatory.

AUTHOR
        Paul Carapetis
        Internet: pjc@as03.bull.oz.au

BUGS
        Far too many argument letters which are far from intuitive.
        The author intends to change all arguments to 2 characters for
        clarity.  Any suggestions from users will be gladly received by the
        author.

        Hopefully there are no others but sometimes they manage to sneak
        their ugly little heads through so the author would be extremely
        grateful to hear from anyone encountering any of these little
        beasties!

NOTES
        POSTSCRIPT is a trademark of Adobe Systems Incorporated.

